summaryrefslogtreecommitdiffstats
path: root/src/etc/init.d/networking
diff options
context:
space:
mode:
Diffstat (limited to 'src/etc/init.d/networking')
-rw-r--r--src/etc/init.d/networking24
1 files changed, 24 insertions, 0 deletions
diff --git a/src/etc/init.d/networking b/src/etc/init.d/networking
new file mode 100644
index 0000000..def938f
--- /dev/null
+++ b/src/etc/init.d/networking
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Configuring network interfaces... '
+ ifup -a
+ printf 'done.\n'
+ ;;
+ stop)
+ printf 'Deconfiguring network interfaces... '
+ ifdown -a
+ printf 'done.\n'
+ ;;
+ restart)
+ printf 'Reconfiguring network interfaces... '
+ ifdown -a
+ ifup -a
+ printf 'done.\n'
+ ;;
+ *)
+ printf 'Usage: %s {start|stop|restart}\n' "${0}" >&2
+ exit 1
+ ;;
+esac